---
{% if kubernetes_docker_proxy != "docker.io" %}
global:
  cattle:
    systemDefaultRegistry: {{ kubernetes_docker_proxy }}
{% endif %}
{% if kubernetes_charts_longhorn_namespace != "longhorn-system" %}
namespaceOverride: {{ kubernetes_charts_longhorn_namespace }}
{% endif %}
defaultSettings:
{% if kubernetes_charts_longhorn_storage_overprovisioning is defined %}
  storageOverProvisioningPercentage: 
    {{ kubernetes_charts_longhorn_storage_overprovisioning }}
{% endif %}
{% if kubernetes_charts_longhorn_storage_min_avail is defined %}
  storageMinimalAvailablePercentage: 
    {{ kubernetes_charts_longhorn_storage_min_avail }}
{% endif %}
  upgradeChecker: {{ kubernetes_charts_longhorn_upgrade_check }}
{% if kubernetes_charts_longhorn_storage_replicas is defined %}
  defaultReplicaCount: {{ kubernetes_charts_longhorn_storage_replicas }}
{% endif %}
{% if kubernetes_charts_longhorn_storage_pod_deletion is defined %}
  nodeDownPodDeletionPolicy: 
    {{ kubernetes_charts_longhorn_storage_pod_deletion }}
{% endif %}

{% if not kubernetes_charts_longhorn_default_class %}
persistence:
  defaultClass: false
{% endif %}
